commit 90f7a18734e0e5f1acc5b5ce5c203c938cdaed22
Author: freddy77 <freddy77>
Date:   Fri Jul 30 07:17:27 2010 +0000

    fix MingW compile if wide odbc disabled

diff --git a/ChangeLog b/ChangeLog
index 17fe857..3a2b4e4 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Fri Jul 30 09:17:15 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* configure.ac src/odbc/Makefile.am win32/FreeTDS.def:
+	- win32/FreeTDSW.def
+	* win32/Makefile.am: fix MingW compile if wide odbc disabled
+
 Tue Jul 27 10:52:58 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds.h src/dblib/dblib.c src/tds/login.c src/tds/mem.c:
 	- moved option_flag2 from tds_socket to tds_connection
@@ -2773,4 +2778,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3098 2010/07/27 08:53:12 freddy77 Exp $
+$Id: ChangeLog,v 1.3099 2010/07/30 07:17:27 freddy77 Exp $
diff --git a/configure.ac b/configure.ac
index 6c797be..73f08ee 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.52 2010/07/03 09:49:12 freddy77 Exp $
+dnl $Id: configure.ac,v 1.53 2010/07/30 07:17:27 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.83.dev.esyscmd(echo -n $(date +"%Y%m%d")))
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.52 $)
+AC_REVISION($Revision: 1.53 $)
 
 AM_INIT_AUTOMAKE([dist-bzip2])
 AC_CONFIG_HEADERS(include/config.h)
@@ -774,6 +774,7 @@ AC_ARG_ENABLE(odbc-wide,
 if test "$enable_odbc_wide" = "yes" ; then
 	AC_DEFINE_UNQUOTED(ENABLE_ODBC_WIDE, 1, [Define to enable ODBC wide string support])
 fi
+AM_CONDITIONAL(ODBC_WIDE, test "$enable_odbc_wide" = "yes")
 
 AC_ARG_ENABLE(distcheck_build,
   AS_HELP_STRING([--enable-distcheck-build], [used internally for testing]))
diff --git a/src/odbc/Makefile.am b/src/odbc/Makefile.am
index 36dd26c..b2e1f7f 100644
--- a/src/odbc/Makefile.am
+++ b/src/odbc/Makefile.am
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.48 2010/07/02 14:07:57 freddy77 Exp $
+# $Id: Makefile.am,v 1.49 2010/07/30 07:17:27 freddy77 Exp $
 SUBDIRS		= unittests
 AM_CPPFLAGS	=	-I$(top_srcdir)/include $(ODBC_INC)
 
@@ -13,9 +13,14 @@ libtdsodbc_la_SOURCES=	odbc.c connectparams.c convert_tds2sql.c \
 	descriptor.c prepare_query.c odbc_util.c \
 	native.c sql2tds.c error.c odbc_checks.c sqlwchar.c sqlwparams.h $(MINGW_SOURCES)
 if MINGW32
+if ODBC_WIDE
+DEFFILE = FreeTDSW.def
+else
+DEFFILE = FreeTDS.def
+endif
 libtdsodbc_la_LIBADD=	../../win32/setup.res ../tds/libtds.la ../replacements/libreplacements.la $(ODBCINSTLIB) \
 	$(NETWORK_LIBS) $(LIBICONV) $(FREETDS_LIBGCC)
-libtdsodbc_la_LDFLAGS = -Wl,--enable-stdcall-fixup -Wl,-s -Wl,$(top_srcdir)/win32/FreeTDS.def -Wl,../../win32/setup.res $(FREETDS_SYMBOLIC)
+libtdsodbc_la_LDFLAGS = -Wl,--enable-stdcall-fixup -Wl,-s -Wl,$(top_srcdir)/win32/$(DEFFILE) -Wl,../../win32/setup.res $(FREETDS_SYMBOLIC)
 
 .rc.res:
 	$(RC) -i $< -I $(top_builddir)/win32 --input-format=rc -o $@ -O coff
diff --git a/win32/FreeTDS.def b/win32/FreeTDS.def
index 43bca48..97ea274 100644
--- a/win32/FreeTDS.def
+++ b/win32/FreeTDS.def
@@ -78,37 +78,4 @@ EXPORTS
 	ConfigTranslator
 	DllRegisterServer
 	DllUnregisterServer
-	SQLColAttributeW
-	SQLColumnPrivilegesW
-	SQLColumnsW
-	SQLConnectW
-	SQLDescribeColW
-	SQLDriverConnectW
-	SQLErrorW
-	SQLExecDirectW
-	SQLForeignKeysW
-	SQLGetConnectAttrW
-	SQLGetConnectOptionW
-	SQLGetCursorNameW
-	SQLGetDescFieldW
-	SQLGetDescRecW
-	SQLGetDiagFieldW
-	SQLGetDiagRecW
-	SQLGetInfoW
-	SQLGetTypeInfoW = SQLGetTypeInfo
-	SQLGetStmtAttrW
-	SQLNativeSqlW
-	SQLPrepareW
-	SQLPrimaryKeysW
-	SQLProcedureColumnsW
-	SQLProceduresW
-	SQLSetConnectAttrW
-	SQLSetConnectOptionW
-	SQLSetCursorNameW
-	SQLSetDescFieldW
-	SQLSetStmtAttrW
-	SQLSpecialColumnsW
-	SQLStatisticsW
-	SQLTablePrivilegesW
-	SQLTablesW
 
diff --git a/win32/Makefile.am b/win32/Makefile.am
index 78190d0..a92213e 100644
--- a/win32/Makefile.am
+++ b/win32/Makefile.am
@@ -1,5 +1,5 @@
 SUBDIRS	= msvc6
-EXTRA_DIST      = config.h FreeTDS.def initnet.c \
+EXTRA_DIST      = config.h FreeTDS.def FreeTDSW.def initnet.c \
 		tds_sysdep_public.h freetds_sysconfdir.h \
 		winsetup.c winlogin.c \
 		setup.rc resource.h \

